import 'language_entity.dart';

export 'language_entity.dart';

abstract class ILanguages {
  List<LanguageEntity> languages;

  ILanguages() {
    languages = getLanguages();
  }

  List<LanguageEntity> getLanguages();

  LanguageEntity get defaultLanguage;

  LanguageEntity findByCode(String code) =>
      languages.firstWhere((lang) => lang.code == code);

  int indexByCode(String code) =>
      languages.indexWhere((lang) => lang.code == code);
}
